Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Sep 2022 11:54:22 +0200

Jim Porter <[email-masked]> writes:

>> no because --eval would require a valid elisp expression such as
>>    emacsclient --eval (message-mailto "%u")
>> which seems to go against the specification constraint. I thought
>> about
>> using something like the following:
>>    emacsclient --function message-mailto-reading-cli-args %u
>
> I agree that this would be a useful feature. Org Mode could also
> benefit from it (and probably some other places too). See
> https://lists.gnu.org/archive/html/emacs-orgmode/2022-02/msg00056.html

I've idly wondered before whether we should add a general mechanism for
this to avoid having to create functions that look at
`command-line-args-left' themselves.  (And --eval is problematic in
circumstances like this.)

So something like

--function foo --function-args bar zot gazonk

would result in calling `foo' with those arguments.

Hm...  would we need some way to say "here's the end of
--function-args", perhaps?  "--"?  So:

--function foo --function-args bar zot gazonk --

Anybody have any thoughts here?